Skip to main content
PATCH
/
api
/
api-keys
/
{id}
/
revoke
Error
A valid request URL is required to generate request examples
{
  "_id": "<string>",
  "name": "<string>",
  "keyPrefix": "<string>",
  "keyHint": "<string>",
  "scopes": [
    "<string>"
  ],
  "environment": "live",
  "status": "active",
  "createdAt": "2023-11-07T05:31:56Z",
  "accountId": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "lastUsedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token using an API key (format nl_live_* or nl_test_*)

Path Parameters

id
string
required

API key ID

Response

Key revoked successfully

_id
string
required

Unique key identifier

name
string
required

Human-readable key name

keyPrefix
string
required

Key prefix (e.g. nl_live_ or nl_test_)

keyHint
string
required

Last 4 characters of the key for identification

scopes
string[]
required

RBAC permissions granted to this key

environment
enum<string>
required
Available options:
live,
test
status
enum<string>
required
Available options:
active,
revoked,
expired
createdAt
string<date-time>
required
accountId
string

Account this key belongs to

expiresAt
string<date-time> | null
lastUsedAt
string<date-time> | null